Package io.dapr.client.domain

# Class TransactionalStateOperation<T>

java.lang.Object
io.dapr.client.domain.TransactionalStateOperation<T>

Type Parameters:
  `T` - Type of the state value

public class TransactionalStateOperation<T> extends Object
Class to represent transactional state operations.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TransactionalStateOperation.OperationType`
Options for type of operation.

## Constructor Summary

Constructors
Constructor
Description
`TransactionalStateOperation(TransactionalStateOperation.OperationType operationType, State<T> state)`
Construct an immutable transactional state operation object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`TransactionalStateOperation.OperationType`
`getOperation()`
`State<T>`
`getRequest()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransactionalStateOperation

public TransactionalStateOperation(TransactionalStateOperation.OperationType operationType, State<T> state)
Construct an immutable transactional state operation object.

Parameters:
  `operationType` - The type of operation done.
  `state` - The required state.

## Method Details

### getOperation

public TransactionalStateOperation.OperationType getOperation()

### getRequest

public State<T> getRequest()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`